Bug 250206 - audio/ardour6: Fix broken 32-bit build
Summary: audio/ardour6: Fix broken 32-bit build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Loïc Bartoletti
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-08 18:50 UTC by Michael Beer
Modified: 2020-10-20 06:24 UTC (History)
1 user (show)

See Also:
beerml: maintainer-feedback+
beerml: maintainer-feedback+


Attachments
svn diff of port files (2.89 KB, patch)
2020-10-08 18:50 UTC, Michael Beer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Beer 2020-10-08 18:50:50 UTC
Created attachment 218613 [details]
svn diff of port files

This fixes the Intel 32-bit build.
Modification of the original wscript file is no longer necessary.
Setting mmx and 3dnow compiler flags is not really needed.
Setting 3dnow can even be considered as a bug as this is a AMD only extension.
The build_host_supports_sse flag is only used to throw a warning if the set configuration doesn't match with the build machines configuration.
The warning can be ignored.
The build requires a SSE capable CPU (>=i686) which was also the case 
in previous versions.
Actually I'm still wondering why the build worked in v6.2.
Comment 1 commit-hook freebsd_committer 2020-10-12 06:27:17 UTC
A commit references this bug:

Author: lbartoletti
Date: Mon Oct 12 06:26:20 UTC 2020
New revision: 552098
URL: https://svnweb.freebsd.org/changeset/ports/552098

Log:
  audio/ardour6: Fix broken 32-bit build

  This fixes the Intel 32-bit build.
  Modification of the original wscript file is no longer necessary.
  Setting mmx and 3dnow compiler flags is not really needed.
  Setting 3dnow can even be considered as a bug as this is a AMD only extension.
  The build_host_supports_sse flag is only used to throw a warning if the set configuration doesn't match with the build machines configuration.
  The warning can be ignored.
  The build requires a SSE capable CPU (>=i686) which was also the case in previous versions.

  PR:		250206
  Submitted by:	Michael Beer (maintainer)

Changes:
  head/audio/ardour6/Makefile
  head/audio/ardour6/files/
Comment 2 Loïc Bartoletti freebsd_committer 2020-10-12 07:18:08 UTC
Committed, thanks!
Comment 3 Michael Beer 2020-10-20 06:24:58 UTC
As the quarterly build fails at the moment, it would be nice to have this fix in quarterly aswell.